Home

# Class goog.ui.media.VimeoModel

The {@code goog.ui.media.Vimeo} media data model. It stores a required {@code videoId} field, sets the vimeo URL, and allows a few optional parameters.

extends goog.ui.media.MediaModel

Instance Method Summary
| `getVideoId() ⇒ string` Gets the Vimeo video id.

Static Method Summary
| `buildFlashUrl(string videoId, boolean= opt_autoplay) ⇒ string` Builds a flash url from the vimeo {@code videoId}.
| `buildUrl(string videoId) ⇒ string` The opposite of {@code goog.ui.media.Vimeo.parseUrl}: it takes a videoId and returns a vimeo URL.
| `newInstance(string vimeoUrl, string= opt_caption, string= opt_description, boolean= opt_autoplay) ⇒ ?goog.ui.media.VimeoModel` Takes a {@code vimeoUrl} and extracts the video id.